summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/transactions/0040set_0
diff options
context:
space:
mode:
authorFlorian Westphal <fw@strlen.de>2018-06-08 14:41:08 +0200
committerFlorian Westphal <fw@strlen.de>2018-06-08 14:41:08 +0200
commitb878cb7d83855f4420791561b63aa4b96d73663a (patch)
tree645bab65243ebc9a259181c9d8495865e5882ed9 /tests/shell/testcases/transactions/0040set_0
parentba6711f37e4c776e812e53c9a0d385a80ce2f15a (diff)
tests: shell: add quotes when using <<<-style here document
bash 4.3.30 removes newlines in RULESET when "" are omitted, which then causes nft -f to complain about invalid syntax. As a result, all test cases that use this here-doc style fail. Signed-off-by: Florian Westphal <fw@strlen.de>
Diffstat (limited to 'tests/shell/testcases/transactions/0040set_0')
-rwxr-xr-xtests/shell/testcases/transactions/0040set_04
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/shell/testcases/transactions/0040set_0 b/tests/shell/testcases/transactions/0040set_0
index 7386ecfb..c991b84e 100755
--- a/tests/shell/testcases/transactions/0040set_0
+++ b/tests/shell/testcases/transactions/0040set_0
@@ -20,7 +20,7 @@ RULESET="table ip filter {
chain CIn_1 {
}
}"
-$NFT -f - <<< $RULESET
+$NFT -f - <<< "$RULESET"
if [ $? -ne 0 ] ; then
echo "E: unable to load good ruleset" >&2
exit 1
@@ -36,7 +36,7 @@ fi
RULESET="delete element ip filter client_to_any { 1.2.3.4 : goto CIn_1 }
delete chain ip filter CIn_1"
-$NFT -f - <<< $RULESET
+$NFT -f - <<< "$RULESET"
if [ $? -ne 0 ] ; then
echo "E: unable to load good ruleset" >&2
exit 1